
%define module PyQwt
%define version 4.2
%define release 2

%define sipfiles /usr/share/sip

Name:         python-qwt
Version:      %{version}
Release:      %mkrel %release
Url:	      http://pyqwt.sourceforge.net/
License:      GPL
Group:        Development/Python
Summary:      Python bindings for Qwt (Qt Widgets for Technical applications)
Source0:      http://belnet.dl.sourceforge.net/sourceforge/pyqwt/%{module}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Provides:     PyQwt = %{version}-%{release}
Requires:     python
Requires:     PyQt
Requires:     sip
Requires:     python-numeric
Requires:     python-numarray

BuildRequires: python-devel
BuildRequires: libqwt-devel
BuildRequires: python-numeric-devel
BuildRequires: python-numarray-devel
BuildRequires: PyQt-devel
BuildRequires: sip-devel

%description

Qwt is an extension to the Qt GUI library. The Qwt library contains
widgets and components which are primarily useful for technical and
scientifical purposes. It includes a 2-D plotting widget, different
kinds of sliders, and much more.

PyQwt has almost all functionality of the Qwt library implemented.


%prep
%setup -q -n %{module}-%{version}

%build
cd configure
python configure.py -i /usr/lib/qt3/include/qwt -l /usr/lib/qt3/%{_lib}
%make

%install
rm -rf $RPM_BUILD_ROOT

(
cd configure
make install DESTDIR=$RPM_BUILD_ROOT
)
# install PyCute
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp examples/PyCute $RPM_BUILD_ROOT/%{_bindir}

# will create dangling symlinks
unlink examples/iqt
unlink examples/qwt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/python%{pyver}/site-packages/*
%sipfiles
%doc ANN* AUTHORS COPYING* DIFFER INSTALL MANIFEST* PATCHER README* REGIS* THANKS examples Doc/html

%changelog
* Tue Jul 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.2-2mdk
- build on x86_64
- drop libqwt requirement
- spec cleanup
- buildrequires sip-devel

* Tue Mar 29 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 4.2-1mdk
- initial contrib


